Skip to main content
GET
List payout runs

Authorizations

Authorization
string
header
required

Bearer token authentication for agent-scoped endpoints. The token is the accessToken returned when redeeming a device code via POST /agents/device-codes/redeem. Agent credentials are user-scoped: all requests are automatically bound to the agent's associated customer and subject to the agent's policy.

Query Parameters

status
enum<string>

Only runs in this status Status of a payout run.

Available options:
VALIDATING,
PENDING_APPROVAL,
SCHEDULED,
PROCESSING,
COMPLETED,
PARTIALLY_FAILED,
FAILED,
CANCELLED
limit
integer
default:50

Maximum number of results to return (default 50, max 200)

Required range: 1 <= x <= 200
cursor
string

Cursor for pagination (returned from previous request)

Response

Successful operation

data
object[]
required
hasMore
boolean
required

Indicates if more results are available beyond this page.

nextCursor
string

Cursor to retrieve the next page of results (only present if hasMore is true).